Bug 876404 - Review Request: php-channel-aws - Adds the Amazon Web Services channel to PEAR
Summary: Review Request: php-channel-aws - Adds the Amazon Web Services channel to PEAR
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Gregor Tätzner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-14 02:53 UTC by Joseph Marrero
Modified: 2013-04-04 16:37 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-12 08:48:05 UTC
gregor: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
pre-review (5.00 KB, text/plain)
2012-11-15 07:33 UTC, Gregor Tätzner
no flags Details

Description Joseph Marrero 2012-11-14 02:53:06 UTC
Spec URL: http://marreroj.com/fedora/review-packages/php-channel-aws.spec
SRPM URL: http://marreroj.com/fedora/review-packages/php-channel-aws-1.3-2.fc18.src.rpm
Description: This package adds the Amazon Web Services channel which allows PEAR packages from this channel to be installed.
Fedora Account System Username: jmarrero

Comment 1 Joseph Marrero 2012-11-14 03:17:31 UTC
successful koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4686415

Comment 2 Gregor Tätzner 2012-11-15 07:33:01 UTC
Created attachment 645398 [details]
pre-review

minor issues:
php-channel-aws.src:60: W: macro-in-%changelog %clean
php-channel-aws.src:41: W: mixed-use-of-spaces-and-tabs (spaces: line 4, tab: line 41)

I think the version should start with 1.0 since this is the initial package for aws channel. Well, at least that looks less arbitrary than 1.3. Make also sure to adjust the version strings in the changelog (note that this is nothing you would ever do in an already imported package :) )

Comment 3 Remi Collet 2012-12-15 07:40:51 UTC
@Gregor: version have no sense for channel packages, but we are used to take the REST version provided (from the channel.xml).

So, as this channel provides REST1.3, I think 1.3 is right.
But of course, there is no Guildelines, so this is a packager choice.

Comment 4 Joseph Marrero 2012-12-18 03:33:34 UTC
old packages in: http://marreroj.com/fedora/review-packages/old/*

Spec URL: http://marreroj.com/fedora/review-packages/php-channel-aws.spec
SRPM URL: http://marreroj.com/fedora/review-packages/php-channel-aws-1.3-3.fc18.src.rpm

I agree with Remi on the version numbers thingy.
fixed the two rpmlint issues.

Comment 5 Gregor Tätzner 2012-12-18 13:33:21 UTC
we're good to go then

LICENSE: OK
BUILD & INSTALL: OK

Rpmlint
-------
Checking: php-channel-aws-1.3-3.fc19.noarch.rpm
          php-channel-aws-1.3-3.fc19.src.rpm
php-channel-aws.noarch: W: no-documentation
php-channel-aws.src:19: W: unversioned-explicit-provides php-channel(%{channelname})
2 packages and 0 specfiles checked; 0 errors, 2 warnings.

MD5-sum check
-------------
http://pear.amazonwebservices.com/channel.xml :
  CHECKSUM(SHA256) this package     : 7fe130dd50bbfcce6fb15df93eb2b22fe235e06b590b8a2067ebc688ec6daa16
  CHECKSUM(SHA256) upstream package : 7fe130dd50bbfcce6fb15df93eb2b22fe235e06b590b8a2067ebc688ec6daa16

APPROVED
========

Comment 6 Joseph Marrero 2012-12-18 14:41:54 UTC
New Package SCM Request
=======================
Package Name: php-channel-aws
Short Description: Adds the Amazon Web Services channel to PEAR
Owners: jmarrero
Branches: f17 f18 el6
InitialCC:

Comment 7 Gwyn Ciesla 2012-12-18 15:18:44 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2013-03-02 06:25:40 UTC
php-channel-aws-1.3-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/php-channel-aws-1.3-3.fc18

Comment 9 Fedora Update System 2013-03-02 06:25:51 UTC
php-channel-aws-1.3-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/php-channel-aws-1.3-3.fc17

Comment 10 Fedora Update System 2013-03-02 06:26:01 UTC
php-channel-aws-1.3-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-channel-aws-1.3-3.el6

Comment 11 Fedora Update System 2013-03-03 22:25:55 UTC
php-channel-aws-1.3-3.fc18 has been pushed to the Fedora 18 testing repository.

Comment 12 Fedora Update System 2013-03-12 08:48:07 UTC
php-channel-aws-1.3-3.fc17 has been pushed to the Fedora 17 stable repository.

Comment 13 Fedora Update System 2013-03-12 08:58:48 UTC
php-channel-aws-1.3-3.fc18 has been pushed to the Fedora 18 stable repository.

Comment 14 Fedora Update System 2013-04-04 16:37:09 UTC
php-channel-aws-1.3-3.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.